const arr = [
    {
        name:'匹配单行注释正则表达式',
        reg:/\s*\/\/.*/g,
    },
    {
        name:'匹配多行注释正则表达式',
        reg:/\s*\/\*[\s\S]*?\*\/\s*/g,
    },
    {
        name:'替换 = 前后空格',
        reg:/(\s+=\s+)/g,
        data:'='
    },
    {
        name:'替换 == 前后空格',
        reg:/(\s+==\s+)/g,
        data:'=='
    },
    {
        name:'替换 += 前后空格',
        reg:/(\s+\+=\s+)/g,
        data:'+='
    },
    {
        name:'替换=>前后空格',
        reg:/(\s+=>\s+)/g,
        data:'=>'
    },
    {
        name:'替换 { 后空格',
        reg:/({\s+)/g,
        data:'{'
    },
    {
        name:'替换}前空格',
        reg:/(\s+})/g,
        data:'}'
    },
    {
        name:'替换 [ 后空格',
        reg:/(\[\s+)/g,
        data:'['
    },
    {
        name:'替换]前空格',
        reg:/(\s+])/g,
        data:']'
    },
    {
        name:'替换(后空格',
        reg:/(\(\s+)/g,
        data:'('
    },
    {
        name:'替换)前空格',
        reg:/(\s+\))/g,
        data:')'
    },
    {
        name:'替换;前后空格',
        reg:/(\s*;\s*)/g,
        data:';'
    },
    {
        name:'替换,前后空格',
        reg:/(\s*,\s*)/g,
        data:','
    },
    {
        name:'替换:前后空格',
        reg:/(\s*:\s*)/g,
        data:':'
    },
    {
        name:'替换?前后空格',
        reg:/(\s*\?\s*)/g,
        data:'?'
    },
    {
        name:'替换+前后空格',
        reg:/(\s*\+\s*)/g,
        data:'+'
    },
    {
        name:'替换-前后空格',
        reg:/(\s*\-\s*)/g,
        data:'-'
    },
    {
        name:'替换||前后空格',
        reg:/(\s*\|\|\s*)/g,
        data:'||'
    },
    {
        name:'替换) {空格',
        reg:/(\)\s+{)/g,
        data:'){'
    },
    {
        name:'替换try {空格',
        reg:/(try\s+{)/g,
        data:'try{'
    },
    {
        name:'替换} catch (空格',
        reg:/(}\s+catch\s+\()/g,
        data:'}catch('
    },
    {
        name:'替换if (',
        reg:/(if\s+\()/g,
        data:'if('
    },
    // // 替换关键字符隔一个字符
    {
        name:'替换var  ',
        reg:/(\s+var\s+)/g,
        data:';var '
    },
    {
        name:'替换let ',
        reg:/(\s+let\s+)/g,
        data:';let '
    },
    {
        name:'替换const ',
        reg:/(\s+const\s+)/g,
        data:';const '
    },
    {
        name:'换行',
        reg:/(\n)/g,
        data:';'
    },
    {
        name:'两个空格以上',
        reg:/(\s+)/g,
        data:' '
    },
    {
        name:' ; ',
        reg:/(\s*;\s*)/g,
        data:';'
    },
    {
        name:' ; ',
        reg:/(;+)/g,
        data:';'
    },
    // {
    //     name:'替换function ',
    //     reg:/(\s+function\s+)/g,
    //     data:';function '
    // },
    // {
    //     name:'替换if ',
    //     reg:/(\s+if\s+)/g,
    //     data:';if '
    // },
    // {
    //     name:'替换return ',
    //     reg:/(\s+return\s+)/g,
    //     data:';return '
    // },
    // {
    //     name:'替换try ',
    //     reg:/(\s+try\s+)/g,
    //     data:';try '
    // },
    // {
    //     name:'替换import ',
    //     reg:/(\s+import\s+)/g,
    //     data:';import '
    // },
    // {
    //     name:'替换} else {',
    //     reg:/(}\s+else\s+{)/g,
    //     data:'}else{'
    // },
    // {
    //     name:'替换return;',
    //     reg:/(return;\s*)/g,
    //     data:'return '
    // },
    // {
    //     name:'替换async;function',
    //     reg:/(\s*async;function\s+)/g,
    //     data:'async function '
    // },
    // {
    //     name:'换行',
    //     reg:/(\n)/g,
    //     data:';'
    // },
    // {
    //     name:'else;if',
    //     reg:/(else;if)/g,
    //     data:'else if'
    // },
]
module.exports = arr;